Limerence
Automations

List Automations

List automations for the authenticated team. Supports optional spaceId filter.

GET
/automations

List automations for the authenticated team. Supports optional spaceId filter.

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Query Parameters

spaceId?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/automations"
[  {    "_count": {      "chatSessions": 0    },    "sources": [      {        "automationId": "string",        "createdAt": "string",        "dataSourceId": "string",        "dataSourceName": "string",        "unavailableAt": null,        "updatedAt": "string"      }    ],    "space": {      "id": "string",      "name": "string"    },    "createdAt": "string",    "createdByUserId": "string",    "enabled": true,    "id": "string",    "name": "string",    "nextRunAt": null,    "prompt": "string",    "schedule": "string",    "spaceId": "string",    "timezone": "string",    "updatedAt": "string"  }]
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}